@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;700&display=swap');

/* http://meyerweb.com/eric/tools/css/reset/
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}
button {
  outline: 0px;
  border: 0px;
  background: transparent;
}






/* D21
:root {
  --bg-header: #CDCDCC;
  --font-header: #1C1C1C;
  --link-header: #C3132A;
  --bg-body: #CDCDCC;
  --bg-footer: #CDCDCC;
  --title-page: #000;
  --destaque: #C3132A;
  --font-carro: #1C1C1C;
  --bg-carro: #E6E6E6;
  --carro-desconto: #1C1C1C;
  --btn-color: #fff;
  --logo: url("../images/logo-d21.png");
  --logo-footer: url("../images/logo-d21.png");
  --left-arrow: url("../images/left-vermelho-2.png");
  --right-arrow: url("../images/right-vermelho-2.png");
  --down-arrow: url("../images/down-vermelho-2.png");
  --lapis: url("../images/lapis-vermelho-1.png");
} */

/* :root {
  --bg-header: #242225;
  --font-header: #CCCCCC;
  --link-header: #C3132A;
  --bg-body: #242225;
  --bg-footer: #242225;
  --title-page: #CCCCCC;
  --destaque: #C3132A;
  --font-carro: #FFF;
  --bg-carro: #242225;
  --carro-desconto: #fff;
  --btn-color: #fff;
  --logo: url("../images/logo-d21.png");
  --logo-footer: url("../images/logo-d21.png");
  --left-arrow: url("../images/left-vermelho-2.png");
  --right-arrow: url("../images/right-vermelho-2.png");
  --down-arrow: url("../images/down-vermelho-2.png");
  --lapis: url("../images/lapis-vermelho-1.png");
} */

/* CAOA */
:root {
  --bg-header: #0D0249;
  --font-header: #CCCCCC;
  --link-header: #8EC89A;
  --bg-body: #CCCCCC;
  --bg-footer: #CCCCCC;
  --title-page: #0D2536;
  --destaque: #8EC89A;
  --font-carro: #1A1A1A;
  --bg-carro: #E6E6E6;
  --carro-desconto: #8EC89A;
  --btn-color: #1A1A1A;
  --logo: url("../images/logo-caoa.png");
  --logo-footer: url("../images/logo-caoa-azul.png");
  --left-arrow: url("../images/left-verde.png");
  --right-arrow: url("../images/right-verde.png");
  --down-arrow: url("../images/down-verde.png");
  --lapis: url("../images/lapis-verde.png");
}


/* CAOA BLACK
:root {
  --bg-header: #242225;
  --font-header: #CCCCCC;
  --link-header: #FFF;
  --bg-body: #242225;
  --bg-footer: #242225;
  --title-page: #CCCCCC;
  --destaque: #8EC89A;
  --font-carro: #FFF;
  --bg-carro: #242225;
  --carro-desconto: #8EC89A;
  --btn-color: #FFF;
  --logo: url("../images/logo-caoa-bf.png");
  --logo-footer: url("../images/logo-caoa.png");
  --left-arrow: url("../images/left-verde.png");
  --right-arrow: url("../images/right-verde.png");
  --down-arrow: url("../images/down-verde.png");
  --lapis: url("../images/lapis-verde.png");
} */


body {
    font-family: 'Roboto', sans-serif;
    background: var(--bg-body);
}

header {
  display: flex;
  position: fixed;
  top: 0px;
  left: 0px;
  right: 0px;
  height: 80px;
  background: var(--bg-header);
  justify-content: space-between;
  flex-direction: row;
  padding: 10px 40px;
  z-index: 999;
}
header .logo-align {
  display: flex;
  flex-direction: row;
  align-items: center;

}
header .logo-align .logo {
  width: 100px;
  height: 60px;
  margin-right: 15px;
  margin-top: 5px;
  background: var(--logo) no-repeat center;
  background-size: contain;
}
header .logo-align .frase {
  padding-left: 10px;
  border-left: var(--font-header) 2px solid;
  height: 40px;
  display: flex;
  align-items: center;
  color: var(--font-header);
  text-transform: uppercase;
  font-weight: bold;
  font-size: 18px;
}
header .localizacao {
  height: 100%;
  display: flex;
  align-items: center;
  color: var(--font-header);
  font-weight: bold;
  font-size: 18px;
}
header .localizacao span {
  color: var(--link-header);
  font-weight: bold;
  padding-left: 10px;
  cursor: pointer;
}
#btn-editar-localizacao {
  width: 20px;
  height: 20px;
  margin-left: 15px;
  background: var(--lapis) no-repeat center;
  background-size: contain;
}
#btn-editar-localizacao:hover,
#btn-editar-localizacao:active,
#btn-editar-localizacao:focus {
  border: 0px;
  outline: none;
}

.conteudo {
    width: 100%;
    padding: 0px 15px;
    max-width: 1200px;
    margin: 0 auto;
    margin-top: 30px;
}

.conteudo-carros {
    width: 100%;
    margin-bottom: 50px;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 20px;
    margin-top: 30px;
}

.carro {
    border: 3px solid #fff;
    transition: all .2s ease-in-out;
    background: var(--bg-carro);
    position: relative;
}
.carro:hover {
    transform: scale(1.05);
}

.carro .carro-header {
    width: 100%;
    position: relative;
    padding: 20px;
    padding-top: 90px;
    background: #fff;
    min-height: 365px;
}

.carro .carro-header .title-car {
    position: absolute;
    top: 0px;
    left: 20px;
    right: 20px;
    font-size: 24px;
    font-weight: bold;
    text-align: center;
    border-bottom: 3px solid #000;
    padding: 20px;
}
.car-detalhe {
  font-size: 14px;
  margin-top: 10px;
}
.carro .carro-header .title-car span {
    font-weight: bold;
}

.carro .carro-header img {
    width: 100%;
}

.carro .carro-detail {
    margin-top: 0px;
    padding: 20px;
}

.carro .carro-frases {
    margin-bottom: 20px;
}
.carro .carro-frases .carro-frase::before {
    content: "• "; color: var(--font-carro);
}
.carro .carro-frases .carro-frase {
    font-size: 16px;
    margin-bottom: 10px;
    color: var(--font-carro);
}

.carro .carro-detail .carro-valores {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 15px;
    margin-bottom: 20px;
    color: var(--font-carro);
}

.carro-valor .carro-valor-header {
    color: var(--font-carro);
    font-size: 15px;
    margin-bottom: 5px;
}
.carro-valor .carro-valor-content {
    color: var(--font-carro);
    font-weight: normal;
    font-size: 18px;
}
.carro-valor .carro-valor-taxa {
    font-size: 12px;
    color: var(--font-carro);
    font-weight: normal;
}
.carro-valor-total {
  font-size: 24px;
  font-weight: bold;
  text-decoration: line-through;
  margin-bottom: 10px;
}
.carro-valor-desconto {
  font-size: 26px;
  font-weight: bold;
  color: var(--carro-desconto);
}

.carro-oferta {
    width: 100%;
    margin-bottom: 15px;
    text-align: center;
    font-size: 14px;
    color: #4D4D4D;
}
.carro-oferta span {
    font-weight: bold;
}
.carro-btn, .btn-enviar-modal {
    width: 100%;
    padding: 15px;
    margin-bottom: 15px;
    cursor: pointer;
    text-align: center;
    background: var(--destaque);
    color: var(--btn-color);
    font-size: 18px;
    font-weight: bold;
}
.carro-texto-legal {
    font-size: 11px;
    font-weight: 300;
    display: none;
    color: var(--font-carro);
}

.texto-legal {
    font-size: 12px;
    text-align: center;
    font-weight: 300;
    margin-bottom: 40px;
    display: none;
}

.modal-content {
  border-radius: 0px;
  border: none;
  box-shadow: 0 0 10px 2px rgba(0,0,0,0.1);
}
.modal-header {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border: none;
}
.modal-title {
  font-size: 32px;
}
.modal-header .close {
  position: absolute;
  right: 20px;
  top: 12px;
}
.modal-header .close:focus, .modal-header .close:active {
  outline: none;
}
.btn-enviar-modal {
  margin-bottom: 0px;
  border-radius: 0px;
  border: none;
  padding: 15px;
  line-height: 1;
}
.btn-enviar-modal:hover {
  background: #1C1C1C;
  color: #fff;
  box-shadow: none;
}
.btn-enviar-modal:focus {
  box-shadow: none;
}

.form-control {
  border-radius: 0px;
  background: #fff;
}
.form-control:focus, .form-control:active {
  outline: none;
  border-color: var(--destaque);
  box-shadow: none;
}

.form-group label {
  margin-bottom: 5px;
}

.loading {
  background: rgba(255, 255, 255, 0.8);
  position: fixed;
  left: 0px;
  top: 0px;
  right: 0px;
  bottom: 0px;
  display: none;
  align-items: center;
  justify-content: center;
  z-index: 9999999;
}
.loader {
  border: 10px solid #f3f3f3;
  border-top: 10px solid var(--destaque);
  border-radius: 50%;
  width: 50px;
  height: 50px;
  animation: spin 1s linear infinite;
}
@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}


.intro .topo, .form-footer .topo {
  font-size: 40px;
  text-align: center;
  color: #fff;
  grid-area: topo;
  font-weight: bold;
  padding: 30px 0;
  font-family: 'Flexo', Roboto;
}
.intro .header-img {
  grid-area: header;
}
.intro .box-1-img {
  grid-area: box;
}
.intro .box-2-img {
  grid-area: cox;
}
.box-3-img {
  grid-area: dox;
}
.intro .simule {
  padding-top: 70px;
  color: var(--title-page);
  grid-area: simule;
}

.intro .img-intro {
  width: 100%;
}
.intro > div > img {
	display: block;
	margin: 0 auto;
	max-width: 100%;
}
.intro {
  max-width: 100%;
  padding-top: 80px;
  display: grid;
  grid-template-areas:
  "topo topo topo"
  "header header header"
  "box cox dox"
  "simule simule simule";
}

.intro .header-img .desk {
  display: block;
}
.intro .header-img .mobile {
  display: none;
}

.carro-link {
  color: var(--font-carro);
  margin-bottom: 10px;
  text-align: left;
  font-size: 12px;
}
.carro-link:hover {
  color: var(--destaque);
}
.carro-link:last-child {
  text-align: right;
}

.filtro {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: center;
  padding-bottom: 30px;
}
.filtro .btn {
  background: #fff;
  border-radius: 0px;
  min-width: 250px;
  margin: 15px;
  font-size: 16px;
  font-weight: bold;
  text-align: left;
}
.filtro .btn:hover, .filtro .btn:active, .filtro .btn:focus {
  box-shadow: none;
  outline: none;
}
.filtro .btn::after {
  background: var(--down-arrow) no-repeat center;
  background-size: contain;
  content: " ";
  position: absolute;
  right: 10px;
  width: 15px;
  top: 0px;
  padding: 0px;
  margin: 0px;
  border: 0px;
  bottom: 0px;
}

.filtro .dropdown-menu {
  border-radius: 0px;
  right: 30px;
  flex-direction: column;
  background: #fff !important;
}

.filtro .dropdown-menu .dropdown-item:active, .filtro .dropdown-menu .dropdown-item:focus {
  background: var(--destaque);
}

.form-footer {
  color: #CCCCCC;
  background: #4D4D4D;
  padding: 100px 0;
}
.form-footer label {
  font-size: 18px;
  font-weight: bold;
  margin-bottom: 15px;
}
.form-footer .form-group {
  margin-bottom: 30px;
  text-align: left;
}
.form-footer .topo {
  padding-top: 0px;
  padding-bottom: 100px;
  color: #CCCCCC;
  font-weight: bold;
}

@media only screen and (max-width: 1024px) {
    header {
      flex-direction: column;
      align-items: center;
      height: auto;
    }
    header .logo-align {
      margin-bottom: 15px;
    }

    .intro .img-intro {
      margin-top: 100px !important;
    }

    .conteudo-carros {
        grid-template-columns: 1fr 1fr;
    }

    .intro .header-img .desk {
      display: none;
    }
    .intro .header-img .mobile {
      display: block;
    }

    .intro .topo {
      font-size: 24px;
      padding-left: 40px;
      padding-right: 40px;
      padding-bottom: 20px;
      padding-top: 10px;
    }

    .intro .simule {
      padding-top: 40px;
      padding-bottom: 0px;
    }

    .filtro {
      flex-direction: column;
    }
    .filtro .btn {
      margin: 10px 0;
    }
    .filtro .dropdown-menu {
      right: 0px;
    }
}

@media only screen and (max-width: 330px) {
  .intro .img-intro {
    margin-top: 116px !important;
  }
}

.banner {
  width: 100%;
  height: auto;
}
.banner img {
  width: 100%;
}

.paginacao {
  width: 100%;
  display: flex;
  flex-direction: row;
  margin: 60px 0;
  align-items: center;
  justify-content: center;
}
.paginacao .paginacao-numbers {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}
.paginacao .btn-pag {
  min-width: 20px;
  height: 20px;
  margin: 10px;
  font-weight: bold;
  font-size: 18px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  color: var(--font-carro);
}
.paginacao .btn-pag.active {
  color: var(--destaque);
}
.paginacao .btn-left {
  background: var(--left-arrow) no-repeat center;
  background-size: contain;
}
.paginacao .btn-right {
  background: var(--right-arrow) no-repeat center;
  background-size: contain;
}

@media only screen and (max-width: 767px) {
    .conteudo-carros {
        grid-template-columns: 1fr;
    }

    .filtro .btn-group {
      width: 100%;
    }
}


  .close {
    text-shadow: none;
    color: #E6E6E6;
    font-size: 2.5rem !important;
  }
  .modal-content.form-footer {
    padding: 40px;
  }
  .form-control, .custom-select {
    font-size: 1.25rem;
  }
  .modal-content.form-footer .topo {
    padding-bottom: 40px;
  }

  .custom-select {
    background: #fff var(--down-arrow) no-repeat right 0.75rem center/15px 13px;
  }

  .btn-enviar-modal {
    min-width: 230px;
    width: auto;
    font-size: 1.5rem;
    font-weight: 400;
  }

  footer {
    height: 120px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background: var(--bg-footer);
  }

  #form_recompra {
    text-align: right;
  }
  .modal-body {
    text-align: right;
  }

  footer .logo-footer {
    width: 140px;
    height: 50px;
    background: var(--logo-footer) no-repeat center;
    background-size: contain;
  }

  .black-friday {
    position: absolute;
    top: 0px;
    right: 0px;
    width: 100px;
    height: 85px;
    overflow: hidden;
  }
  .black-friday .text-black-friday {
    width: 143px;
    text-align: center;
    padding: 7px;
    font-size: 18px;
    font-weight: bold;
    color: var(--destaque);
    background: #000;
    z-index: 99;
    transform: rotate(45deg);
    margin-top: 15px;
  }

  .btns-footer {
    display: flex;
    justify-content: space-between;
    padding-top: 5px;
    text-decoration: underline;
  }
